> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/cms/api-cms-hls.md).

# /api/cms/hls

## POST /api/cms/hls

> Regenerate HLS settings for file

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/hls"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"post_cms_hls":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["cms_content_id"]}}},"paths":{"/api/cms/hls":{"post":{"description":"Regenerate HLS settings for file","tags":["/api/cms/hls"],"parameters":[{"name":"cms_content_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/post_cms_hls"}},"application/json":{"schema":{"$ref":"#/components/schemas/post_cms_hls"}},"application/xml":{"schema":{"$ref":"#/components/schemas/post_cms_hls"}}}}}}}}}
```
